Home
last modified time | relevance | path

Searched full:echo (Results 1 – 25 of 1554) sorted by relevance

12345678910>>...63

/kernel/linux/linux-5.10/tools/testing/selftests/vm/
Drun_vmtests38 echo 3 > /proc/sys/vm/drop_caches
39 echo $(( $lackpgs + $nr_hugepgs )) > /proc/sys/vm/nr_hugepages
41 echo "Please run this test as root"
57 echo "no hugetlbfs support in kernel?"
67 echo "$ARCH64STR" | grep $ARCH && VADDR64=1
72 echo "---------------------"
73 echo "running hugepage-mmap"
74 echo "---------------------"
77 echo "[FAIL]"
80 echo "[PASS]"
[all …]
Dtest_vmalloc.sh33 echo "$0: Must be run as root"
38 echo "$0: You need modprobe installed"
43 echo "$0: You must have the following enabled in your kernel:"
44 echo "CONFIG_TEST_VMALLOC=m"
51 echo "Run performance tests to evaluate how fast vmalloc allocation is."
52 echo "It runs all test cases on one single CPU with sequential order."
55 echo "Done."
56 echo "Ccheck the kernel message buffer to see the summary."
61 echo "Run stability tests. In order to stress vmalloc subsystem we run"
62 echo "all available test cases on all available CPUs simultaneously."
[all …]
Dhugetlb_reparenting_test.sh7 echo "This test must be run as root. Skipping..."
26 echo "+hugetlb +memory" >$CGROUP_ROOT/cgroup.subtree_control
36 echo $mb
42 echo cleanup
50 echo 0 >/proc/sys/vm/nr_hugepages
70 echo actual a = $((${actual_a%% *} / 1024 / 1024)) MB
71 echo expected a = $((${expected_a%% *} / 1024 / 1024)) MB
72 echo fail
82 echo actual a hugetlb = $((${actual_a_hugetlb%% *} / 1024 / 1024)) MB
83 echo expected a hugetlb = $((${expected_a_hugetlb%% *} / 1024 / 1024)) MB
[all …]
Dcharge_reserved_hugetlb.sh7 echo "This test must be run as root. Skipping..."
35 echo "+hugetlb" >/dev/cgroup/memory/cgroup.subtree_control
40 echo $$ >$cgroup_path/cgroup.procs
42 echo $$ >$cgroup_path/tasks
47 umount /mnt/huge || echo error
59 echo 0 >/proc/sys/vm/nr_hugepages
60 echo CLEANUP DONE
69 echo "expected ($expected) != actual ($actual): $3"
79 echo $mb
91 echo writing cgroup limit: "$cgroup_limit"
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/sysctl/
Dsysctl.sh65 echo -n "Checking production write strict setting ... "
67 echo "FAIL, but skip in case of old kernel" >&2
71 echo "ok"
73 echo "FAIL, strict value is 0 but force to 1 to continue" >&2
74 echo "1" > ${WRITES_STRICT}
96 echo $msg must be run as root >&2
101 echo "$0: You need perl installed"
105 echo "$0: You need getconf installed"
109 echo "$0: You need diff installed"
118 echo "$0: module $TEST_DRIVER not found [SKIP]"
[all …]
/kernel/linux/linux-5.10/tools/
DMakefile10 @echo 'Possible targets:'
11 @echo ''
12 @echo ' acpi - ACPI tools'
13 @echo ' bpf - misc BPF tools'
14 @echo ' cgroup - cgroup tools'
15 @echo ' cpupower - a tool for all things x86 CPU power'
16 @echo ' debugging - tools for debugging'
17 @echo ' firewire - the userspace part of nosy, an IEEE-1394 traffic sniffer'
18 @echo ' firmware - Firmware tools'
19 @echo ' freefall - laptop accelerometer program for disk protection'
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/media_tests/
Dmedia_dev_allocator.sh6 echo "Media Device Allocator testing: unbind and bind"
7 echo "media driver $1 audio driver $2"
17 echo "=================================="
18 echo "Test unbind both devices - start"
19 echo "Running unbind of $MDEV from $MDRIVER"
20 echo $MDEV > $MDRIVER/unbind;
22 echo "Media device should still be present!"
25 echo "sound driver is at: $ADRIVER"
26 echo "Device is: $ADEV"
28 echo "Running unbind of $ADEV from $ADRIVER"
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/firmware/
Dfw_filesystem.sh23 echo 1 >/sys/class/firmware/timeout
27 echo "$0: empty filename should not succeed" >&2
32 echo "$0: empty filename: async trigger not present, ignoring test" >&2
36 echo "$0: empty filename should not succeed (async)" >&2
42 if echo -n "nope-$NAME" >"$DIR"/trigger_request 2> /dev/null; then
43 echo "$0: firmware shouldn't have loaded" >&2
47 echo "$0: firmware was not expected to match" >&2
51 echo "$0: timeout works"
57 if ! echo -n "$NAME" >"$DIR"/trigger_request ; then
58 echo "$0: could not trigger request" >&2
[all …]
Dfw_fallback.sh27 echo -n "$name" >"$DIR"/trigger_request &
35 echo "$0: firmware interface never appeared" >&2
40 echo 1 >"$DIR"/"$name"/loading
42 echo 0 >"$DIR"/"$name"/loading
54 echo -n "$name" >"$DIR"/trigger_request 2>/dev/null &
62 echo "$0: firmware interface never appeared" >&2
67 echo -1 >"$DIR"/"$name"/loading
76 echo "$0: custom fallback trigger not present, ignoring test" >&2
83 echo -n "$name" >"$DIR"/trigger_custom_fallback 2>/dev/null &
91 echo "$0: firmware interface never appeared" >&2
[all …]
/kernel/linux/linux-5.10/tools/bootconfig/
Dtest-bootconfig.sh4 echo "Boot config test script"
29 echo "test case $NO ($3)... "
30 if ! ($@ && echo "\t\t[OK]"); then
31 echo "\t\t[NG]"; NG=$((NG + 1))
37 echo "test case $NO ($3)... "
38 if ! (! $@ && echo "\t\t[OK]"); then
39 echo "\t\t[NG]"; NG=$((NG + 1))
44 echo "Basic command test"
47 echo "Delete command should success without bootconfig"
51 echo "key = value;" > $TEMPCONF
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/kmod/
Dkmod.sh75 echo "$0: $DIR not present" >&2
76 echo "You must have the following enabled in your kernel:" >&2
114 echo "$0: You need modprobe installed" >&2
119 echo "$0: You need kmod installed" >&2
131 echo "$0: You need at least kmod 20" >&2
132 echo "kmod <= 19 is buggy, for details see:" >&2
133echo "https://git.kernel.org/cgit/utils/kernel/kmod/kmod.git/commit/libkmod/libkmod-module.c?id=fd…
139 echo $msg must be run as root >&2
156 echo "$MODPROBE" > /proc/sys/kernel/modprobe
157 echo "Test completed"
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/rcutorture/bin/
Dfunctions.sh15 echo "$1" | grep -q "torture\.onoff_"
25 echo $1 needs argument $2 matching \"$5\"
28 if echo "$4" | grep -q -e "$5"
32 echo $1 $2 \"$4\" must match \"$5\"
35 if echo "$4" | grep -q -e "$6"
37 echo $1 $2 \"$4\" must not match \"$6\"
48 echo $1 `grep -v '^#' "$2.boot" | tr '\012' ' '`
50 echo $1
60 if echo "${bootargs}" | grep -q 'nr_cpus=[0-9]'
62 nr_cpus="`echo "${bootargs}" | sed -e 's/^.*nr_cpus=\([0-9]*\).*$/\1/'`"
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/drivers/usb/usbip/
Dusbip_test.sh7 usage() { echo "usbip_test.sh -b <busid> -p <usbip tools path>"; exit 1; }
31 echo "Running USB over IP Testing on $busid";
36 echo "Please run usbip_test as root [SKIP]"
37 echo $test_end_msg
41 echo "Load usbip_host module"
43 echo "usbip_test: module usbip_host is not found [SKIP]"
44 echo $test_end_msg
49 echo "usbip_test: module usbip_host is loaded [OK]"
51 echo "usbip_test: module usbip_host failed to load [FAIL]"
52 echo $test_end_msg
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/ntb/
Dntb_test.sh20 echo "Usage: $0 [OPTIONS] LOCAL_DEV REMOTE_DEV"
21 echo "Run tests on a pair of NTB endpoints."
22 echo
23 echo "If the NTB device loops back to the same host then,"
24 echo "just specifying the two PCI ids on the command line is"
25 echo "sufficient. Otherwise, if the NTB link spans two hosts"
26 echo "use the -r option to specify the hostname for the remote"
27 echo "device. SSH will then be used to test the remote side."
28 echo "An SSH key between the root users of the host would then"
29 echo "be highly recommended."
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/ftrace/test.d/trigger/inter-event/
Dtrigger-synthetic-event-syntax.tc8 echo > set_event
14 echo $1
21 echo "Test synthetic_events syntax parser"
23 echo > synthetic_events
26 ! echo "myevent" >> synthetic_events
27 echo "myevent u64 var1" >> synthetic_events
33 ! echo "myevent u64 var2" >> synthetic_events
36 echo "myevent u64 var2" > synthetic_events
39 echo "myevent u64 var1; u64 var2;" > synthetic_events
41 echo "myevent u64 var1 ; u64 var2 ;" > synthetic_events
[all …]
/kernel/linux/linux-5.10/tools/bootconfig/scripts/
Dftrace.sh4 echo > trace
8 echo 0 > tracing_on
12 echo 1 > tracing_on
16 echo nop > current_tracer
23 cmd=`echo $line | cut -f2- -d: | cut -f1 -d"["`
24 file=`echo $line | cut -f1 -d:`
25 echo "!$cmd" >> $file
29 cmd=`echo $line | cut -f2- -d: | cut -f1 -d"["`
30 file=`echo $line | cut -f1 -d:`
31 echo "!$cmd" > $file
[all …]
/kernel/linux/linux-5.10/samples/bpf/
Ddo_hbm_test.sh11 echo "Script for testing HBM (Host Bandwidth Manager) framework."
12 echo "It creates a cgroup to use for testing and load a BPF program to limit"
13 echo "egress or ingress bandwidht. It then uses iperf3 or netperf to create"
14 echo "loads. The output is the goodput in Mbps (unless -D was used)."
15 echo ""
16 echo "USAGE: $name [out] [-b=<prog>|--bpf=<prog>] [-c=<cc>|--cc=<cc>]"
17 echo " [-D] [-d=<delay>|--delay=<delay>] [--debug] [-E] [--edt]"
18 echo " [-f=<#flows>|--flows=<#flows>] [-h] [-i=<id>|--id=<id >]"
19 echo " [-l] [-N] [--no_cn] [-p=<port>|--port=<port>] [-P]"
20 echo " [-q=<qdisc>] [-R] [-s=<server>|--server=<server]"
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/ftrace/test.d/
Dfunctions2 echo > trace
6 echo 0 > tracing_on
10 echo 1 > tracing_on
14 echo nop > current_tracer
21 cmd=`echo $line | cut -f2- -d: | cut -f1 -d"["`
22 file=`echo $line | cut -f1 -d:`
23 echo "!$cmd" >> $file
27 cmd=`echo $line | cut -f2- -d: | cut -f1 -d"["`
28 file=`echo $line | cut -f1 -d:`
29 echo "!$cmd" > $file
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/zram/
Dzram_lib.sh28 echo $msg must be run as root >&2
49 echo "zram cleanup"
60 echo 1 > /sys/block/zram${i}/reset
66 echo $i > /sys/class/zram-control/hot_remove
77 echo "create '$dev_num' zram device(s)"
81 echo "zram modules already loaded, kernel supports" \
91 echo "all zram devices (/dev/zram$dev_start~$dev_end" \
102 echo "zram module is being used on old kernel" \
107 echo "test needs CONFIG_ZRAM=m on old kernel without" \
116 echo "all zram devices (/dev/zram0~$dev_end) successfully created"
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/
Dkselftest_deps.sh13 echo -e "Usage: $0 -[p] <compiler> [test_name]\n"
14 echo -e "\tkselftest_deps.sh [-p] gcc"
15 echo -e "\tkselftest_deps.sh [-p] gcc vm"
16 echo -e "\tkselftest_deps.sh [-p] aarch64-linux-gnu-gcc"
17 echo -e "\tkselftest_deps.sh [-p] aarch64-linux-gnu-gcc vm\n"
18 echo "- Should be run in selftests directory in the kernel repo."
19 echo "- Checks if Kselftests can be built/cross-built on a system."
20 echo "- Parses all test/sub-test Makefile to find library dependencies."
21 echo "- Runs compile test on a trivial C file with LDLIBS specified"
22 echo " in the test Makefiles to identify missing library dependencies."
[all …]
/kernel/linux/linux-5.10/tools/usb/
Dhcd-tests.sh42 echo "testing ALL recognized usbtest devices"
43 echo ""
53 echo "FAIL"
74 echo "assuming $CONFIG configuration"
81 echo "** device must be in $1 config, but it's $CONFIG instead"
86 echo "TESTING: $ARGS"
90 echo $(date)
106 echo '** Control test cases:'
108 echo "test 9: ch9 postconfig"
110 echo "test 10: control queueing"
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/gpio/
Dgpio-mockup.sh24 echo "Usage:"
25 echo "$0 [-f] [-m name] [-t type]"
26 echo "-f: full test. It maybe conflict with existence gpio device."
27 echo "-m: module name, default name is gpio-mockup. It could also test"
28 echo " other gpio device."
29 echo "-t: interface type: chardev(char device) and sysfs(being"
30 echo " deprecated). The first one is default"
31 echo ""
32 echo "$0 -h"
33 echo "This usage"
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/ftrace/test.d/kprobe/
Dkprobe_ftrace.tc7 echo nop > current_tracer
8 echo $FUNCTION_FORK > set_ftrace_filter
9 echo "p:testprobe $FUNCTION_FORK" > kprobe_events
12 echo 1 > events/kprobes/testprobe/enable
13 echo > trace
14 ( echo "forked")
19 echo function > current_tracer
20 echo > trace
21 ( echo "forked")
26 echo 0 > events/kprobes/testprobe/enable
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/drivers/net/netdevsim/
Dudp_tunnel_nic.sh18 echo "ERROR:" $@
37 echo $NSIM_ID > /sys/bus/netdevsim/del_device
112 echo $((port << 16 | type))
118 echo -e "port: $((val >> 16))\ttype: $((val & 0xffff))"
141 echo "port $port, $type_name"
152 echo "check_table: BAD NUMBER OF ITEMS"
162 echo " check_table: ethtool does not contain '$pp_expected'"
172 echo " check_table: wrong entry $i"
173 echo " expected: `pre ${expected[i]}`"
174 echo " have: `pre ${have[i]}`"
[all …]
/kernel/linux/linux-5.10/tools/testing/selftests/ftrace/test.d/trigger/
Dtrigger-filter.tc8 echo $1
12 echo "Test trigger filter"
13 echo 1 > tracing_on
14 echo 'traceoff if child_pid == 0' > events/sched/sched_process_fork/trigger
15 ( echo "forked")
22 echo "Test semantic error for trigger filter"
23 ! echo 'traceoff if a' > events/sched/sched_process_fork/trigger
24 ! echo 'traceoff if common_pid=0' > events/sched/sched_process_fork/trigger
25 ! echo 'traceoff if common_pid==b' > events/sched/sched_process_fork/trigger
26 echo 'traceoff if common_pid == 0' > events/sched/sched_process_fork/trigger
[all …]

12345678910>>...63